
QGIS Application - Feature request #316

Added some tr (i18n support)

2006-09-29 01:22 PM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Gavin Macaulay -

Category:

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 10375

Description

Added some tr() for user visible text

History

#1 - 2006-09-29 11:00 PM - anonymous -

Thanks for the patch. I've applied, tested and committed most of them in SVN commit:f7117cb6 (SVN r5887) (but see below).

In qgsdelimitedtextprovider.cpp you replaced the line

QString filter =  QString("Shapefiles (*.shp)");

with

QString filter =  QString(tr("Shapefiles (*.shp)"));

I'm not familiar with how file suffixes change with languages, but is it correct to translate the *.shp too, given that this is used to select which files are visible

in the dialog box?

I also changed the patch for the qgslabelattributes.cpp file as it was missing the tr() function.

#2 - 2006-09-30 06:18 AM - Redmine Admin

Hi,

g_j_m wrote:

"_I'm not familiar with how file suffixes change with languages, but is it correct to translate the *.shp too, given that this is used to select which files are

visible in the dialog box? _"

Of course suffixes don't change with language but there is also some additional text which could be useful to translate. Maybe in future if only one open

dialog box would be used for all layer types (grass, raster, vector) it could be this text more verbose (e.g. "Vector ESRI shapefile (*.shp)") so the string

"Vector" should be translated. Probably it it only theoretical argument for now but in general the "File filters" used to be translatable in the most of KDE

applications (Koffice, Kpdf,...).

#3 - 2006-09-30 12:26 PM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from Open to Closed
Did the *.shp tr() addition in svn commit:2505f0d0 (SVN r5893).

#4 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

Files

added_tr.diff 30.7 KB 2006-09-29 Redmine Admin
